SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";

/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

CREATE TABLE IF NOT EXISTS `degrade_lu` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `keystring` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `intvalue` int(15) NOT NULL,
  `stringval` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invalid` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `key` (`keystring`),
  UNIQUE KEY `intvalue` (`intvalue`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `degrade_lu` (`id`, `keystring`, `intvalue`, `stringval`, `timestamp`, `invalid`) VALUES
(1, 'dead', 1, 'Dead on Field', '2025-01-20 12:00:00', 0),
(2, 'disconn', 2, 'Robot Disconnected', '2025-01-20 12:00:00', 0),
(3, 'e_stop', 4, 'Emergency Stop', '2025-01-20 12:00:00', 0),
(4, 'stutter', 8, 'Robot Stuttering', '2025-01-20 12:00:00', 0),
(5, 'parts', 16, 'Robot Losing Parts', '2025-01-20 12:00:00', 0);

CREATE TABLE IF NOT EXISTS `drive_lu` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `drive_name` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invalid` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `drive_lu` (`id`, `drive_name`, `timestamp`, `invalid`) VALUES
(1, 'Unknown', '2025-01-20 12:00:00', 0),
(2, 'Tank', '2025-01-20 12:00:00', 0),
(3, 'Mechanum', '2025-01-20 12:00:00', 0),
(4, 'Omni', '2025-01-20 12:00:00', 0),
(5, 'Swerve', '2025-01-20 12:00:00', 0),
(6, 'Other', '2025-01-20 12:00:00', 0);

CREATE TABLE IF NOT EXISTS `event_lu` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `event_name` varchar(120) COLLATE utf8mb4_unicode_ci NOT NULL,
  `event_code` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date_start` datetime NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invalid` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `event_name` (`event_name`),
  UNIQUE KEY `event_code` (`event_code`) USING BTREE,
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=204 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `event_lu` (`id`, `event_name`, `event_code`, `date_start`, `timestamp`, `invalid`) VALUES
(1, 'Rocket City Regional', 'ALHU', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(2, 'FIRST Championship - FIRST Robotics Competition - Archimedes Division', 'ARCHIMEDES', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(3, 'Arkansas Regional', 'ARLI', '2025-03-05 00:00:00', '2025-02-15 14:34:36', 0),
(4, 'Southern Cross Regional', 'AUSC', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(5, 'Arizona North Regional', 'AZFG', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(6, 'Arizona East Regional', 'AZGL', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(7, 'Canadian Pacific Regional', 'BCVI', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0),
(8, 'Regional Brazil - Brasilia', 'BRBA', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(9, 'Regional Brazil - São Paulo', 'BRSP', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(10, 'Aerospace Valley Regional', 'CAAV', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(11, 'East Bay Regional', 'CABE', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(12, 'Sacramento Regional', 'CADA', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(13, 'Central Valley Regional', 'CAFR', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(14, 'Los Angeles Regional', 'CALA', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(15, 'Pinnacles Regional', 'CAMB', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0),
(16, 'Orange County Regional', 'CAOC', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0),
(17, 'Hueneme Port Regional', 'CAPH', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0),
(18, 'Contra Costa Regional', 'CAPT', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(19, 'San Diego Regional presented by Qualcomm', 'CASD', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(20, 'San Francisco Regional', 'CASF', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(21, 'Silicon Valley Regional', 'CASJ', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(22, 'Ventura County Regional', 'CAVE', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(23, 'FIRST Chesapeake District Championship presented by Qualcomm', 'CHCMP', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(24, 'FIRST Championship - FIRST Robotics Competition', 'CMPTX', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(25, 'Shanghai Regional', 'CNSH', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(26, 'Colorado Regional', 'CODE', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(27, 'NE District Hartford Event', 'CTHAR', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0),
(28, 'NE District Waterbury Event', 'CTWAT', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(29, 'FIRST Championship - FIRST Robotics Competition - Curie Division', 'CURIE', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(30, 'FIRST Championship - FIRST Robotics Competition - Daly Division', 'DALY', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(31, 'Orlando Regional', 'FLOR', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(32, 'Tallahassee Regional', 'FLTA', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(33, 'South Florida Regional', 'FLWP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(34, 'PCH District Albany Event presented by Procter & Gamble', 'GAALB', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(35, 'Peachtree District Championship presented by Mercer University', 'GACMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(36, 'PCH District Dalton Event presented by Shaw Industries', 'GADAL', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(37, 'PCH District Gainesville Event', 'GAGAI', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(38, 'PCH District Gwinnett Event presented by Gwinnett County School System', 'GAGWI', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(39, 'FIRST Championship - FIRST Robotics Competition - Galileo Division', 'GALILEO', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(40, 'PCH District Statesboro Event', 'GASTA', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(41, 'Hawaii Regional', 'HIHO', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(42, 'FIRST Championship - FIRST Robotics Competition - Hopper Division', 'HOPPER', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(43, 'Iowa Regional', 'IACF', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0),
(44, 'Idaho Regional', 'IDBO', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0),
(45, 'Midwest Regional', 'ILCH', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0),
(46, 'Central Illinois Regional', 'ILPE', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(47, 'FIRST Indiana State Championship', 'INCMP', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(48, 'FIN District Kokomo Event', 'INKOK', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(49, 'FIN District Lafayette Event', 'INLAF', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(50, 'FIN District Mishawaka Event', 'INMIS', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(51, 'FIN District Washington Event presented by Toyota Indiana and Vincennes University', 'INWAS', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(52, 'FIRST Israel District Championship', 'ISCMP', '2025-03-25 00:00:00', '2025-02-15 14:34:36', 0),
(53, 'ISR District Event #1', 'ISDE1', '2025-02-23 00:00:00', '2025-02-15 14:34:36', 0),
(54, 'ISR District Event #2', 'ISDE2', '2025-02-25 00:00:00', '2025-02-15 14:34:36', 0),
(55, 'ISR District Event #3', 'ISDE3', '2025-03-08 00:00:00', '2025-02-15 14:34:36', 0),
(56, 'ISR District Event #4', 'ISDE4', '2025-03-10 00:00:00', '2025-02-15 14:34:36', 0),
(57, 'FIRST Championship - FIRST Robotics Competition - Johnson Division', 'JOHNSON', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(58, 'Heartland Regional', 'KSLA', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(59, 'Bayou Regional', 'LAKE', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(60, 'NE District Greater Boston Event', 'MABOS', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(61, 'NE District Western NE Event', 'MAWNE', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(62, 'NE District WPI Event', 'MAWOR', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(63, 'CHS District Bethesda MD Event presented by Bechtel', 'MDBET', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(64, 'CHS District Pasadena MD Event presented by Plummer Industries', 'MDPAS', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(65, 'CHS District Severn MD Event presented by Ball Corp', 'MDSEV', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(66, 'NE District Southern Maine Event', 'MEFAL', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(67, 'NE District Pine Tree Event', 'MELEW', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(68, 'FIM District Battle Creek Event', 'MIBAT', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(69, 'FIM District Belleville Event presented by Autokiniton', 'MIBEL', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(70, 'FIM District Berrien Springs Event', 'MIBER', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(71, 'FIM District Ferris State Event presented by Ferris State', 'MIBIG', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(72, 'FIM District Jackson at Columbia Event presented by Consumers Energy Foundation', 'MIBKN', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(73, 'FIM District Woodhaven Event presented by Altair', 'MIBRO', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(74, 'FIRST in Michigan State Championship', 'MICMP', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(75, 'FIRST in Michigan State Championship - DTE Energy Foundation Division', 'MICMP1', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(76, 'FIRST in Michigan State Championship - Hemlock Semiconductor Division', 'MICMP2', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(77, 'FIRST in Michigan State Championship - Consumers Energy Division', 'MICMP3', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(78, 'FIRST in Michigan State Championship - Aptiv Division', 'MICMP4', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(79, 'FIM District Renaissance Event presented by DTE Foundation', 'MIDET', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(80, 'FIM District Wayne State Event presented by Magna', 'MIDTR', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(81, 'FIM District Escanaba Event presented by Highline Fast', 'MIESC', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(82, 'FIM District Ferndale Event presented by Magna', 'MiFER', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(83, 'FIM District Kettering University Event #2 presented by Haas Foundation', 'MIKE2', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(84, 'FIM District Kentwood Event presented by Dematic', 'MIKEN', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0),
(85, 'FIM District Kettering University Event #1 presented by Haas Foundation', 'MIKET', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0),
(86, 'FIM District Lake City Event', 'MILAC', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(87, 'FIM District Livonia Event presented by Aisin', 'MILIV', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(88, 'FIRST Championship - FIRST Robotics Competition - Milstein Division', 'MILSTEIN', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(89, 'FIM District LSSU Event presented by LSSU', 'MILSU', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(90, 'FIM District Mason Event presented by LIFT', 'MIMAS', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(91, 'FIM District Macomb Event presented by DTE', 'MIMCC', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(92, 'FIM District Midland Event presented by Dow', 'MIMID', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(93, 'FIM District Milford Event presented by GM Milford Proving Grounds', 'MIMIL', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0),
(94, 'FIM District Mt. Pleasant Event', 'MIMTP', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(95, 'FIM District Muskegon Event presented by RENK', 'MIMUS', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(96, 'FIM District Saline Event presented by DTE', 'MISAL', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(97, 'FIM District St. Joseph Event presented by Whirlpool', 'MISJO', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(98, 'FIM District Troy Event presented by Aptiv Foundation', 'MITRY', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(99, 'FIM District Traverse City Event presented by Cone Drive', 'MITVC', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(100, 'FIM District West Michigan Event', 'MIWMI', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(101, 'Lake Superior Regional', 'MNDU', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0),
(102, 'Northern Lights Regional', 'MNDU2', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0),
(103, 'Minnesota 10,000 Lakes Regional', 'MNMI', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0),
(104, 'Minnesota Granite City Regional', 'MNMI2', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(105, 'Minnesota North Star Regional', 'MNUM', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(106, 'Greater Kansas City Regional', 'MOKC', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0),
(107, 'Central Missouri Regional', 'MOSE', '2025-03-05 00:00:00', '2025-02-15 14:34:36', 0),
(108, 'St. Louis Regional', 'MOSL', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(109, 'FIRST Mid-Atlantic District Championship', 'MRCMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(110, 'Magnolia Regional', 'MSLR', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(111, 'Regional Leon presented by PrepaTec', 'MXLE', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(112, 'Regional Monterrey presented by PrepaTec', 'MXMO', '2025-02-26 00:00:00', '2025-02-15 14:34:36', 0),
(113, 'Regional Laguna presented by Peñoles', 'MXTO', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(114, 'FNC District UNC Asheville Event', 'NCASH', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(115, 'FNC District Catawba County Event', 'NCCAT', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(116, 'FIRST North Carolina State Championship', 'NCCMP', '2025-04-04 00:00:00', '2025-02-15 14:34:36', 0),
(117, 'FNC District Pitt County Event', 'NCGRE', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(118, 'FNC District Mecklenburg County Event', 'NCMEC', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(119, 'FNC District UNC Pembroke Event', 'NCPEM', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0),
(120, 'FNC District Wake County Event', 'NCWAK', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(121, 'Great Northern Regional', 'NDGF', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(122, 'New England FIRST District Championship', 'NECMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(123, 'New England FIRST District Championship - Ballard Division', 'NECMP1', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(124, 'New England FIRST District Championship - Sosik Division', 'NECMP2', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(125, 'FIRST Championship - FIRST Robotics Competition - Newton Division', 'NEWTON', '2025-04-16 00:00:00', '2025-02-15 14:34:36', 0),
(126, 'NE District UNH Event', 'NHDUR', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(127, 'NE District Granite State Event', 'NHSAL', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(128, 'FMA District Mount Olive Event', 'NJFLA', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(129, 'FMA District Robbinsville Event', 'NJROB', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(130, 'FMA District Montgomery Event', 'NJSKI', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0),
(131, 'FMA District Seneca Event', 'NJTAB', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(132, 'FMA District Warren Hills Event', 'NJWAS', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(133, 'New Taipei City Regional', 'NTWC', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(134, 'Las Vegas Regional', 'NVLV', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0),
(135, 'FIRST Long Island Regional', 'NYLI2', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(136, 'New York City Regional', 'NYNY', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(137, 'Finger Lakes Regional', 'NYRO', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(138, 'Hudson Valley Regional', 'NYSU', '2025-03-05 00:00:00', '2025-02-15 14:34:36', 0),
(139, 'New York Tech Valley Regional', 'NYTR', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0),
(140, 'Buckeye Regional', 'OHCL', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(141, 'Miami Valley Regional', 'OHMV', '2025-03-26 00:00:00', '2025-02-15 14:34:36', 0),
(142, 'Oklahoma Regional', 'OKOK', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(143, 'Green Country Regional', 'OKTU', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(144, 'FIRST Ontario Provincial Championship', 'ONCMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(145, 'FIRST Ontario Provincial Championship - Science Division', 'ONCMP1', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(146, 'FIRST Ontario Provincial Championship - Technology Division', 'ONCMP2', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(147, 'ONT District McMaster University', 'ONHAM', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0),
(148, 'ONT District Newmarket Event', 'ONNEW', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(149, 'ONT District North Bay Event', 'ONNOB', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(150, 'ONT District Durham College Event', 'ONOSH', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(151, 'ONT District Centennial College Event', 'ONSCA', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(152, 'ONT District Humber Polytechnic Event', 'ONTOR', '2025-03-17 00:00:00', '2025-02-15 14:34:36', 0),
(153, 'ONT District University of Waterloo Event', 'ONWAT', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(154, 'ONT District Niagara College Event', 'ONWEL', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(155, 'ONT District Windsor Essex Great Lake Event', 'ONWIN', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(156, 'PNW District Clackamas Academy Event', 'ORORE', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(157, 'PNW District Oregon State Fair Event', 'ORSAL', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0),
(158, 'PNW District Wilsonville Event', 'ORWIL', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(159, 'FMA District Bensalem Event', 'PABEN', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(160, 'Greater Pittsburgh Regional', 'PACA', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(161, 'FMA District Hatboro-Horsham Event', 'PAHAT', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(162, 'FMA District Springside Chestnut Hill Event', 'PAPHI', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(163, 'FMA District Centennial Event', 'PAWAR', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0),
(164, 'Pacific Northwest FIRST District Championship', 'PNCMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(165, 'Festival de Robotique Regional', 'QCMO', '2025-03-05 00:00:00', '2025-02-15 14:34:36', 0),
(166, 'NE District URI Event', 'RIKIN', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(167, 'FSC District North Charleston Event presented by South Carolina Department of Education', 'SCCHA', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(168, 'FIRST South Carolina State Championship presented by Magna', 'SCCMP', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(169, 'FSC District Hartsville Event', 'SCHAR', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(170, 'Smoky Mountains Regional', 'TNKN', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(171, 'Ankara Regional', 'TUAK', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(172, 'Haliç Regional', 'TUHC', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(173, 'İstanbul Regional', 'TUIS', '2025-03-04 00:00:00', '2025-02-15 14:34:36', 0),
(174, 'Bosphorus Regional', 'TUIS2', '2025-03-04 00:00:00', '2025-02-15 14:34:36', 0),
(175, 'Marmara Regional', 'TUIS3', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(176, 'FIT District Amarillo Event', 'TXAMA', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0),
(177, 'FIT District Belton Event', 'TXBEL', '2025-03-06 00:00:00', '2025-02-15 14:34:36', 0),
(178, 'FIT District Space City @ Friendswood Event', 'TXCLE', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0),
(179, 'FIRST In Texas District Championship', 'TXCMP', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(180, 'FIRST In Texas District Championship - Mercury Division', 'TXCMP1', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(181, 'FIRST In Texas District Championship - Apollo Division', 'TXCMP2', '2025-04-02 00:00:00', '2025-02-15 14:34:36', 0),
(182, 'FIT District Fort Worth Event', 'TXFOR', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(183, 'FIT District Houston Event', 'TXHOU', '2025-03-20 00:00:00', '2025-02-15 14:34:36', 0),
(184, 'FIT District Manor Event', 'TXMAN', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(185, 'FIT District Plano Event', 'TXPLA', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(186, 'FIT District San Antonio Event', 'TXSAN', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(187, 'FIT District Tomball Event', 'TXTOM', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(188, 'FIT District Victoria Event', 'TXVIC', '2025-03-15 00:00:00', '2025-02-15 14:34:36', 0),
(189, 'FIT District Waco Event', 'TXWAC', '2025-02-27 00:00:00', '2025-02-15 14:34:36', 0),
(190, 'Utah Regional', 'UTWV', '2025-03-12 00:00:00', '2025-02-15 14:34:36', 0),
(191, 'CHS District Alexandria VA Event presented by US Department of Energy', 'VAALE', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(192, 'CHS District Blacksburg VA Event presented by Volvo', 'VABLA', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(193, 'CHS District Glen Allen VA Event presented by Herndon Foundation', 'VAGLE', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(194, 'CHS District Portsmouth VA Event presented by Newport News Shipyard', 'VAPOR', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(195, 'NE District UVM Event', 'VTBUR', '2025-03-28 00:00:00', '2025-02-15 14:34:36', 0),
(196, 'PNW District Auburn Event', 'WAAHS', '2025-03-21 00:00:00', '2025-02-15 14:34:36', 0),
(197, 'PNW District Bonney Lake Event', 'WABON', '2025-03-14 00:00:00', '2025-02-15 14:34:36', 0),
(198, 'PNW District Sammamish Event', 'WASAM', '2025-03-07 00:00:00', '2025-02-15 14:34:36', 0),
(199, 'PNW District Glacier Peak Event', 'WASNO', '2025-02-28 00:00:00', '2025-02-15 14:34:36', 0),
(200, 'PNW District SunDome Event', 'WAYAK', '2025-03-13 00:00:00', '2025-02-15 14:34:36', 0),
(201, 'Week 0', 'WEEK0', '2025-02-15 00:00:00', '2025-02-15 14:34:36', 0),
(202, 'Seven Rivers Regional', 'WILA', '2025-03-19 00:00:00', '2025-02-15 14:34:36', 0),
(203, 'Wisconsin Regional', 'WIMI', '2025-04-03 00:00:00', '2025-02-15 14:34:36', 0),
(204, 'Phantom Lakes Regional', 'WIMU', '2025-03-27 00:00:00', '2025-02-15 14:34:36', 0);


CREATE TABLE IF NOT EXISTS `fact_match_data_2025` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `event_id` int(4) UNSIGNED NOT NULL,
  `team_id` int(5) UNSIGNED NOT NULL,
  `match_id` int(4) UNSIGNED NOT NULL,
  `practice_match` tinyint(1) NOT NULL DEFAULT '0',
  `position_id` int(3) UNSIGNED NOT NULL,
  `auto_barge_zone_id` int(3) UNSIGNED NOT NULL,
  `auto_first_face_id` int(3) UNSIGNED NOT NULL,
  `auto_ground_face_id` int(3) UNSIGNED NOT NULL,
  `auto_leave` tinyint(1) UNSIGNED NOT NULL,
  `auto_player_center_l1_score` int(3) UNSIGNED NOT NULL,
  `auto_player_center_l2_score` int(3) UNSIGNED NOT NULL,
  `auto_player_center_l3_score` int(3) UNSIGNED NOT NULL,
  `auto_player_center_l4_score` int(3) UNSIGNED NOT NULL,
  `auto_player_center_l1_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_center_l2_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_center_l3_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_center_l4_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_left_l1_score` int(3) UNSIGNED NOT NULL,
  `auto_player_left_l2_score` int(3) UNSIGNED NOT NULL,
  `auto_player_left_l3_score` int(3) UNSIGNED NOT NULL,
  `auto_player_left_l4_score` int(3) UNSIGNED NOT NULL,
  `auto_player_left_l1_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_left_l2_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_left_l3_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_left_l4_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_right_l1_score` int(3) UNSIGNED NOT NULL,
  `auto_player_right_l2_score` int(3) UNSIGNED NOT NULL,
  `auto_player_right_l3_score` int(3) UNSIGNED NOT NULL,
  `auto_player_right_l4_score` int(3) UNSIGNED NOT NULL,
  `auto_player_right_l1_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_right_l2_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_right_l3_miss` int(3) UNSIGNED NOT NULL,
  `auto_player_right_l4_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_center_l1_score` int(3) UNSIGNED NOT NULL,
  `auto_far_center_l2_score` int(3) UNSIGNED NOT NULL,
  `auto_far_center_l3_score` int(3) UNSIGNED NOT NULL,
  `auto_far_center_l4_score` int(3) UNSIGNED NOT NULL,
  `auto_far_center_l1_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_center_l2_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_center_l3_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_center_l4_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_left_l1_score` int(3) UNSIGNED NOT NULL,
  `auto_far_left_l2_score` int(3) UNSIGNED NOT NULL,
  `auto_far_left_l3_score` int(3) UNSIGNED NOT NULL,
  `auto_far_left_l4_score` int(3) UNSIGNED NOT NULL,
  `auto_far_left_l1_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_left_l2_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_left_l3_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_left_l4_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_right_l1_score` int(3) UNSIGNED NOT NULL,
  `auto_far_right_l2_score` int(3) UNSIGNED NOT NULL,
  `auto_far_right_l3_score` int(3) UNSIGNED NOT NULL,
  `auto_far_right_l4_score` int(3) UNSIGNED NOT NULL,
  `auto_far_right_l1_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_right_l2_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_right_l3_miss` int(3) UNSIGNED NOT NULL,
  `auto_far_right_l4_miss` int(3) UNSIGNED NOT NULL,
  `auto_processor_score` int(3) UNSIGNED NOT NULL,
  `auto_processor_miss` int(3) UNSIGNED NOT NULL,
  `auto_net_score` int(3) UNSIGNED NOT NULL,
  `auto_net_miss` int(3) UNSIGNED NOT NULL,
  `auto_l2_algae_removed` int(3) UNSIGNED NOT NULL,
  `auto_l3_algae_removed` int(3) UNSIGNED NOT NULL,
  `auto_coral_intake_ground_left` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `auto_coral_intake_ground_center` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `auto_coral_intake_ground_right` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `auto_algae_intake_ground_left` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `auto_algae_intake_ground_center` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `auto_algae_intake_ground_right` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `auto_algae_discarded` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `auto_feeder_station_id` int(3) UNSIGNED NOT NULL DEFAULT '0',
  `auto_stop` tinyint(1) NOT NULL DEFAULT '0',
  `player_center_l1_score` int(3) UNSIGNED NOT NULL,
  `player_center_l2_score` int(3) UNSIGNED NOT NULL,
  `player_center_l3_score` int(3) UNSIGNED NOT NULL,
  `player_center_l4_score` int(3) UNSIGNED NOT NULL,
  `player_center_l1_miss` int(3) UNSIGNED NOT NULL,
  `player_center_l2_miss` int(3) UNSIGNED NOT NULL,
  `player_center_l3_miss` int(3) UNSIGNED NOT NULL,
  `player_center_l4_miss` int(3) UNSIGNED NOT NULL,
  `player_left_l1_score` int(3) UNSIGNED NOT NULL,
  `player_left_l2_score` int(3) UNSIGNED NOT NULL,
  `player_left_l3_score` int(3) UNSIGNED NOT NULL,
  `player_left_l4_score` int(3) UNSIGNED NOT NULL,
  `player_left_l1_miss` int(3) UNSIGNED NOT NULL,
  `player_left_l2_miss` int(3) UNSIGNED NOT NULL,
  `player_left_l3_miss` int(3) UNSIGNED NOT NULL,
  `player_left_l4_miss` int(3) UNSIGNED NOT NULL,
  `player_right_l1_score` int(3) UNSIGNED NOT NULL,
  `player_right_l2_score` int(3) UNSIGNED NOT NULL,
  `player_right_l3_score` int(3) UNSIGNED NOT NULL,
  `player_right_l4_score` int(3) UNSIGNED NOT NULL,
  `player_right_l1_miss` int(3) UNSIGNED NOT NULL,
  `player_right_l2_miss` int(3) UNSIGNED NOT NULL,
  `player_right_l3_miss` int(3) UNSIGNED NOT NULL,
  `player_right_l4_miss` int(3) UNSIGNED NOT NULL,
  `far_center_l1_score` int(3) UNSIGNED NOT NULL,
  `far_center_l2_score` int(3) UNSIGNED NOT NULL,
  `far_center_l3_score` int(3) UNSIGNED NOT NULL,
  `far_center_l4_score` int(3) UNSIGNED NOT NULL,
  `far_center_l1_miss` int(3) UNSIGNED NOT NULL,
  `far_center_l2_miss` int(3) UNSIGNED NOT NULL,
  `far_center_l3_miss` int(3) UNSIGNED NOT NULL,
  `far_center_l4_miss` int(3) UNSIGNED NOT NULL,
  `far_left_l1_score` int(3) UNSIGNED NOT NULL,
  `far_left_l2_score` int(3) UNSIGNED NOT NULL,
  `far_left_l3_score` int(3) UNSIGNED NOT NULL,
  `far_left_l4_score` int(3) UNSIGNED NOT NULL,
  `far_left_l1_miss` int(3) UNSIGNED NOT NULL,
  `far_left_l2_miss` int(3) UNSIGNED NOT NULL,
  `far_left_l3_miss` int(3) UNSIGNED NOT NULL,
  `far_left_l4_miss` int(3) UNSIGNED NOT NULL,
  `far_right_l1_score` int(3) UNSIGNED NOT NULL,
  `far_right_l2_score` int(3) UNSIGNED NOT NULL,
  `far_right_l3_score` int(3) UNSIGNED NOT NULL,
  `far_right_l4_score` int(3) UNSIGNED NOT NULL,
  `far_right_l1_miss` int(3) UNSIGNED NOT NULL,
  `far_right_l2_miss` int(3) UNSIGNED NOT NULL,
  `far_right_l3_miss` int(3) UNSIGNED NOT NULL,
  `far_right_l4_miss` int(3) UNSIGNED NOT NULL,
  `processor_score` int(3) UNSIGNED NOT NULL,
  `processor_miss` int(3) UNSIGNED NOT NULL,
  `net_score` int(3) UNSIGNED NOT NULL,
  `net_miss` int(3) UNSIGNED NOT NULL,
  `l2_algae_removed` int(3) UNSIGNED NOT NULL,
  `l3_algae_removed` int(3) UNSIGNED NOT NULL,
  `controlled_algae_removal` tinyint(1) NOT NULL DEFAULT '0',
  `can_launch_algae_over_barge` tinyint(1) NOT NULL DEFAULT '0',
  `can_propel_algae_through_barge` tinyint(1) NOT NULL DEFAULT '0',
  `can_place_algae_precisely` tinyint(1) NOT NULL DEFAULT '0',
  `scores_allowed_while_def` int(3) UNSIGNED NOT NULL,
  `algae_stolen_from_opp` int(3) UNSIGNED NOT NULL,
  `algae_stolen_by_opp` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `deep_climb_success` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `deep_climb_unsuccessful_attempt` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `shallow_climb_success` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `shallow_climb_unsuccessful_attempt` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `barge_park` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `buddy_climb` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `degraded_performance` tinyint(1) NOT NULL DEFAULT '0',
  `degrade_causes_id` int(3) NOT NULL DEFAULT '0',
  `causes_penalties` tinyint(1) NOT NULL DEFAULT '0',
  `yellow_card` tinyint(1) NOT NULL DEFAULT '0',
  `red_card` tinyint(1) NOT NULL DEFAULT '0',
  `no_show` tinyint(1) NOT NULL DEFAULT '0',
  `no_show_w_rep` tinyint(1) NOT NULL DEFAULT '0',
  `notes` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `invalid` tinyint(1) NOT NULL DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `specific_match` (`event_id`,`team_id`,`match_id`,`practice_match`,`position_id`),
  KEY `invalid` (`invalid`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `game_info` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `keystring` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_unicode_ci NOT NULL,
  `intvalue` int(15) NOT NULL,
  `stringval` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invalid` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  UNIQUE KEY `key` (`keystring`),
  UNIQUE KEY `intvalue` (`intvalue`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=0 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `game_info` (`id`, `keystring`, `intvalue`, `stringval`, `timestamp`, `invalid`) VALUES
(1, 'sta_none', 0, 'Feeder Station None', '2025-01-20 12:00:00', 0),
(2, 'sta_left', 1, 'Feeder Station Left', '2025-01-20 12:00:00', 0),
(3, 'sta_right', 2, 'Feeder Station Right', '2025-01-20 12:00:00', 0),
(4, 'sta_both', 3, 'Feeder Station Both', '2025-01-20 12:00:00', 0),
(5, 'face_pc', 4, 'Player Center Face', '2025-01-20 12:00:00', 0),
(6, 'face_pl', 5, 'Player Left Face', '2025-01-20 12:00:00', 0),
(7, 'face_fl', 6, 'Far Left Face', '2025-01-20 12:00:00', 0),
(8, 'face_fc', 7, 'Far Center Face', '2025-01-20 12:00:00', 0),
(9, 'face_fr', 8, 'Far Right Face', '2025-01-20 12:00:00', 0),
(10, 'face_pr', 9, 'Player Right Face', '2025-01-20 12:00:00', 0),
(11, 'barge_l', 10, 'Barge Left Zone', '2025-01-20 12:00:00', 0),
(12, 'barge_cl', 11, 'Barge Center Left Zone', '2025-01-20 12:00:00', 0),
(13, 'barge_c', 12, 'Barge Center Zone', '2025-01-20 12:00:00', 0),
(14, 'barge_cr', 13, 'Barge Center Right Zone', '2025-01-20 12:00:00', 0),
(15, 'barge_r', 14, 'Barge Right Zone', '2025-01-20 12:00:00', 0);

CREATE TABLE IF NOT EXISTS `notes_options` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `option_text` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invalid` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=13 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `position_lu` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `position` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invalid` tinyint(1) NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `position_lu` (`id`, `position`, `timestamp`, `invalid`) VALUES
(1, 'Red 1', '2015-02-12 00:30:10', 0),
(2, 'Red 2', '2015-02-12 00:30:10', 0),
(3, 'Red 3', '2015-02-12 00:30:36', 0),
(4, 'Blue 1', '2015-02-12 00:30:36', 0),
(5, 'Blue 2', '2015-02-12 00:30:50', 0),
(6, 'Blue 3', '2015-02-12 00:30:50', 0);

CREATE TABLE IF NOT EXISTS `robot_cg_lu` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `cg_type` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invalid` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

INSERT INTO `robot_cg_lu` (`id`, `cg_type`, `timestamp`, `invalid`) VALUES
(1, 'Unknown', '2025-01-20 12:00:00', 0),
(2, 'Low', '2025-01-20 12:00:00', 0),
(3, 'Middle', '2025-01-20 12:00:00', 0),
(4, 'High', '2025-01-20 12:00:00', 0);

CREATE TABLE IF NOT EXISTS `robot_lu` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `team_id` int(5) UNSIGNED NOT NULL,
  `robot_photo` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  `invalid` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  PRIMARY KEY (`id`),
  KEY `team_id` (`team_id`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `scout_pit_data_2025` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `event_id` int(4) UNSIGNED NOT NULL,
  `team_id` int(5) UNSIGNED NOT NULL,
  `pass_number` int(2) UNSIGNED NOT NULL DEFAULT '0',
  `robot_inspection_weight_lbs` float(5) NOT NULL,
  `robot_wheel_width_in` float(5) NOT NULL,
  `drive_id` int(3) UNSIGNED NOT NULL,
  `robot_cg_id` int(3) UNSIGNED NOT NULL DEFAULT '1',
  `can_score_proc` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_reef_intake_algae` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_ground_intake_algae` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_ground_intake_coral` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_station_intake_coral` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_remove_algae_l2` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_remove_algae_l3` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_carry_both_simul` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_score_on_intake_side` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_score_opp_intake_side` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_score_perp_intake_side` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `has_coral_tunnel` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_manip_coral_angle` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `can_extend_arm_in_motion` tinyint(1) UNSIGNED NOT NULL DEFAULT '0',
  `coral_scoring_side_width_in` float(5) NOT NULL,
  `coral_intake_side_width_in` float(5) NOT NULL,
  `notes` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `invalid` tinyint(1) NOT NULL DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  UNIQUE KEY `datapoint` (`event_id`,`team_id`,`pass_number`),
  KEY `invalid` (`invalid`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

CREATE TABLE IF NOT EXISTS `superscout_data_2025` (
  `id` int(10) UNSIGNED NOT NULL AUTO_INCREMENT,
  `event_id` int(4) UNSIGNED NOT NULL,
  `team_id` int(5) UNSIGNED NOT NULL,
  `match_id` int(4) UNSIGNED NOT NULL,
  `practice_match` tinyint(1) NOT NULL DEFAULT '0',
  `position_id` int(3) UNSIGNED NOT NULL,
  `robot_drive_speed` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `time_to_opp_algae` float(5) NOT NULL DEFAULT '0.0',
  `coral_intake_speed_ground` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `coral_intake_speed_station` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `algae_intake_speed_ground` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `algae_intake_speed_reef` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `opportunistic_defense` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `algae_removal_speed` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `net_scoring_speed` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `processor_scoring_speed` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `l1_scoring_speed` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `l2_l3_scoring_speed` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `l4_scoring_speed` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `l2_l3_difference` tinyint(1) NOT NULL DEFAULT '0',
  `easily_defended` tinyint(1) NOT NULL DEFAULT '0',
  `tippy` int(1) UNSIGNED NOT NULL DEFAULT '0',
  `notes` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `invalid` tinyint(1) NOT NULL DEFAULT '0',
  `timestamp` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP ON UPDATE CURRENT_TIMESTAMP,
  PRIMARY KEY (`id`),
  KEY `event_id` (`event_id`,`team_id`,`match_id`,`practice_match`,`position_id`),
  KEY `invalid` (`invalid`),
  KEY `timestamp` (`timestamp`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
